async fn execute_task() {
    let handle = tokio::spawn(async {
        for i in 1..=5 {
            println!("非同期タスクの処理中: {i}");
            tokio::time::sleep(std::time::Duration::from_millis(500)).await;
        }
    });
    handle.await.unwrap();
    println!("非同期タスクが完了しました。");
}

#[tokio::main]
async fn main() {
    let task = execute_task();
    println!("...何かの処理...");
    task.await;
    println!("すべての処理が完了しました。");
}
